Your license OS (Debian 7) does not match the OS installed (Debian 9).

JohnyByk

Verified User
Joined
Mar 7, 2012
Messages
217
After update DA i see this information:
Code:
/usr/local/directadmin/custombuild/build versions
[B]Your license OS (Debian 7) does not match the OS installed (Debian 9).[/B]
I updated debian more than one year ago but this information appeard some days ago?
Should i worried about this? I have internal licence. What should i do?

custombuild also shows this:
Code:
Latest version of DirectAdmin: 1.56.1
Installed version of DirectAdmin: 1.56.2
Why? 1.56.1 < 1.56.2 :)

Regards
 

smtalk

Administrator
Staff member
Joined
Aug 22, 2006
Messages
8,331
Location
LT, EU
I'd suggest setting debian9 in your license (you may ask your license provider to do that).

Regarding 1.56.1 - "./build update" should solve it :) Without updating the build script, it's seeing older versions and suggests downgrades. I guess you've got DirectAdmin updated using GUI (otherwise there shouldn't be a case like this).
 

algirdas

Verified User
Joined
Nov 3, 2018
Messages
7
I'd suggest setting debian9 in your license (you may ask your license provider to do that).

Regarding 1.56.1 - "./build update" should solve it :) Without updating the build script, it's seeing older versions and suggests downgrades. I guess you've got DirectAdmin updated using GUI (otherwise there shouldn't be a case like this).
Just upgraded Debian from 8 to 9, also got license issue.
https://imgur.com/Wmwp2nv
https://imgur.com/lgaE0RP
https://imgur.com/3pQYc3u

apt update && apt upgrade
cd /usr/local/directadmin/custombuild
./build update
./build versions

Also tried to update licence througt panel.
 
Top